@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;800&family=Rubik:wght@300;400;500;600&display=swap');
@font-face {
  font-family: "SF Pro";
  src: url("/fonts/SF-Pro-Display-Regular.woff2") format("woff2"),
       url("/fonts/SF-Pro-Display-Regular.woff") format("woff"),
       url("/fonts/SF-Pro-Display-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}
:root {
  --primary-color: #ff6b6b;
  --secondary-color: #794afa;
  --secondary-dark-color: #453c5c;
  --white-color: #ffffff;
  --light-bg-color: #f2f3f5;
  --light-text-color: #7c899a;
  --border-color: #e5e8ec;
  --dark-color: #0a021c;
  --background-color: #0d0e12;
  --card-bg-color: #1b1e24;
  --card-text-color: #e0e0e0;
  --font-small: 13px;
  --font-smaller: 11px;
  --percent100: 100%;
  --fw3: 300;
  --fw5: 500;
  --fw6: 600;
  --fw7: 700;
  --fw8: 800;
  --trans-background-color: background-color .3s, color .3s;
  --trans-background: background-color .3s;
  --trans-color: color .3s;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Helvetica', 'Arial', sans-serif;
  font-size: 16px;
  font-weight: 400;
  /* color: var(--card-text-color); */
  background-color: var(--white-color);
}

a{
  text-decoration: none;
  color: inherit;
  -webkit-top-highlight-color:transparent;
}
ul{
  list-style: none;
} 
strong{
  font-weight: var(--fw8);
}
table{
  border-collapse: collapse;
  border-spacing: 0;
}
input::placeholder{
  font: inherit;
}



h1,h2,h3,h4{
  font-family: 'Poppins', sans-serif;
}
h1{
  font-size: calc(1.3rem + 1vw);
  font-weight: var(--fw8);
  line-height: 1;
}
h2{
  font-size: 2.5em;
}
h3{
  font-size: 1.2rem;
  font-weight: var(--fw7);
}
h4{
  font-size: 1rem;
  font-weight: var(--fw6);
  color: #ddd;
}
.user-info_card{
    display: flex;
    /* align-items: center; */
    justify-content: space-between;
}
.upload-btn-container {
    position: relative; /* Needed for positioning the text on hover */
}

.upload-btn {
    border: 1px solid #e0e0e0; 
    border-radius: 50%; 
    width: 48px;
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
    font-size: 1.3em;
    position: relative;
    color: #000;
}

.upload-btn:hover {
    background-color: #f7f7f7;
}

/* Text that appears on hover */
.upload-btn-container .hover-text {
    display: none;
    position: absolute;
    top: 35%;
    right: calc(100% + 10px); /* Adjust position as needed */
    transform: translateY(-50%);
    background-color: #000;
    color: #fff;
    padding: 5px 10px;
    border-radius: 4px;
    font-size: 0.9em;
    white-space: nowrap;
}

.upload-btn-container:hover .hover-text {
    display: block;
}
.comment_details{
    padding: 24px 0;
}

.breadcrumb {
    margin-bottom: 1em;
    font-size: 10px;
    font-weight: bold;
    line-height: 1.4;
    color: #5A5D7E;
    font-family: "Montserrat", sans-serif;
    
}

.breadcrumb .flexitem {
    display: flex;
    align-items: center;
    font-family: "Montserrat", sans-serif;
    color: #5A5D7E;
    margin-top: 12px;
    font-size: 10px;
    font-weight: bold;
}
.breadcrumb li:not(:last-child)::after {
    content: '/';
    padding: 0 0.35em;
}
.breadcrumb1 {
    font-size: var(--font-small);
    font-weight: 400;
    line-height: 1.4;
    color: var(--dark-color);
    font-family: 'Helvetica', 'Arial', sans-serif;
}

.breadcrumb1 .flexitem {
    display: flex;
    align-items: center;
    font-family: "Montserrat", sans-serif;
    color: #5A5D7E;
    margin-top: 12px;
    font-size: 10px;
    font-weight: bold;
}
.breadcrumb1 li:not(:last-child)::after {
    content: '/';
    padding: 0 0.35em;
}
.news-detail{
    background-color: #f8f9fa;
    padding-top: 24px;
}


.layout-wrapper {
    max-width: 722px;
    margin: 0 auto;
    padding: 0.938em;
    background-color: #ffffff;
    border-radius: 16px;
}

/* Title Section */
.title-section {
    
    margin-bottom: 20px;
}

.title-section h1 {
    font-weight: 600;
    font-family: 'Helvetica', 'Arial', sans-serif;
    font-size: 2em;
    color: var(--background-color);
    line-height: 1.4;
}

/* User Info Section */
.user-info {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.user-img {
    border-radius: 50%;
    width: 48px;
    height: 48px;
    margin-right: 15px;
    object-fit: cover;
}

.user-details h3 {
    font-weight: 500;
    margin-bottom: 5px;
    font-family: 'Helvetica', 'Arial', sans-serif;
    color: var(--background-color);

}

.user-details span {
    
    color: var(--light-text-color);
    margin-bottom: 10px;
    font-family: 'Helvetica', 'Arial', sans-serif;
}



.responsive-img {
    width: 100%;
    height: auto;
    max-width: 1000px;
    object-fit: cover;
    border-radius: 8px;
}
.details_description{
    margin: 16px 0;
}
.details_description p{
    margin: 0 0 16px 0
}

.details_description p img{
    width: 100%;
    height: auto;
    min-width: 100px;
    object-fit: cover;
    border-radius: 6px;

}
.details_description p iframe{
    width: 100%;
    height: auto;
    min-width: 100px;
    object-fit: cover;

}
.details_tag {
    margin-top: 20px;
}

.details_tag ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap; 
    gap: 10px; 
}

.details_tag li {
    margin: 5px 0;
}

.details_tag a {
    display: inline-block;
    padding: 8px 12px;
    background-color: var(--card-text-color); 
    color: var(--background-color);
    border-radius: 5px;
    text-decoration: none;
    font-size: 14px;
    transition: background-color 0.3s ease;
}

.details_tag a:hover {
    background-color: var(--border-color); 
}

.comment-box {
    margin-top: 1.75em;
    display: flex;
    align-items: flex-start;
    background-color: #f8f9fa;
    padding: 24px 12px;
    border-radius: 16px;
}

.comment-box .avatar img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-right: 15px;
    object-fit: cover;
}

.comment-input-section {
    width: 100%;
}

.comment-input-section textarea {
    width: 100%;
    height: 60px;
    border-radius: 5px;
    padding: 10px;
    font-size: 14px;
    border: 1px solid #ddd;
    outline: none;
    margin-bottom: 10px;
    resize: none;
}

.comment-actions {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
}

.comment-actions .has-spinner {
    padding: 8px 15px;
    border: none;
    border-radius: 5px;
    font-size: 14px;
    cursor: pointer;
}
.comment-actions .has-spinner:hover{
    background-color: #d6d6d6;
}
.account-form .has-spinner {
    padding: 8px 15px;
    border: none;
    border-radius: 5px;
    font-size: 14px;
    cursor: pointer;
}
.account-form .has-spinner:hover{
    background-color: #d6d6d6;
}

.comment-actions .comment-btn {
    background-color: var(--card-text-color);
    color: var(--background-color);
}
.login_link{
    color: #7c899a;
}


.comment-section {
    background-color: #fff;
    border-radius: 16px;
}

.comment {
    display: flex;
    align-items: flex-start;
    margin-bottom: 20px;
    padding: 24px 12px;
    background-color: #f8f9fa;
    border-radius: 8px;
}

.avatar img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-right: 15px;
    object-fit: cover
}

.comment-content {
    width: 100%;
}

.user-info h4 {
    font-size: 14px;
    color: #333;
    margin-bottom: 5px;
    font-family: 'Helvetica', 'Arial', sans-serif;
}

.user-info h4 span {
    font-size: 12px;
    color: #666;
    font-family: 'Helvetica', 'Arial', sans-serif;
}

.comment p {
    font-size: 14px;
    color: #555;
    margin-bottom: 10px;
    font-family: 'Helvetica', 'Arial', sans-serif;
}

.translate {
    font-size: 12px;
    color: #007bff;
    cursor: pointer;
    margin-bottom: 10px;
}

.comment-actions {
    display: flex;
    align-items: center;
    gap: 20px;
}

.comment-actions span {
    font-size: 14px;
    color: #333;
    cursor: pointer;
    font-family: 'Helvetica', 'Arial', sans-serif;
}

.comment-actions .like {
    color: #007bff;
}

.comment-actions .reply:hover {
    text-decoration: underline;
}

.replies {
    margin-top: 10px;
}

.replies .view-replies {
    font-size: 14px;
    color: #007bff;
    cursor: pointer;
}

@media (max-width: 768px) {
    .layout-wrapper{
        margin: 0 0.938em;
    }


    .avatar img {
        width: 35px;
        height: 35px;
        margin-bottom: 10px;
    }

    .user-info h4, .comment-actions, .replies .view-replies {
        font-size: 12px;
    }

    .comment p {
        font-size: 13px;
    }
}


@media (max-width: 768px) {
   

    .details_tag a {
        font-size: 12px; 
        padding: 6px 10px;
    }
}

@media (min-width: 769px) {
    .details_tag ul {
        justify-content: flex-start; 
    }

    .details_tag a {
        font-size: 14px;
        padding: 8px 12px;
    }
}

@media (min-width: 1200px) {
    .details_tag ul {
        
    }

    .details_tag a {
        font-size: 16px; 
        padding: 10px 14px;
    }
}



@media (max-width: 768px) {



    .title-section h1 {
        font-size: 1.5rem;
    }
}
